Subject: Re: Problems with installer
From: Robert Collins <[email-masked]>
To: Mark Bradshaw <[email-masked]>
Cc: [email-masked]
Date: 17 Nov 2002 18:23:45 +1100

On Sat, 2002-11-16 at 06:37, Mark Bradshaw wrote:
> Here.  Sorry if there is some confusion.  Frankly, considering the number of
> installs I think the confusion has been minimal.  As a side note I've many
> times been in conversation with a user and suggested that it might be time
> to can the package as no longer necessary.  EVERY time they vehemently
> protest that the cygwin sshd install is too hard/doesn't work/whatever.  The
> bar to entry to a tight sshd install under the cygwin installer may be too
> high for most newbies.

Hi, I'm the cygwin setup maintainer. Have they said what's wrong? That
you need to run a shell script after installing? That cygwin1.dll
changed ntsec defaults and broke many half-setup sites?

> Maybe as a compromise I can start using standard cygwin directories.  That
> seemed confusing, and would definitely hose up some people that are used to
> my current structure, but I'd be willing if it's really causing communal
> heartburn.

Urggle. PLEASE DON'T. 

Let me be more clear: Please only install into the cygwin directories
using the cygwin setup.exe codebase. I'm happy for you to fork the
setup.exe code (and then track the changes via CVS). Heck, you could
even have a branch in the setup CVS to do that in if needed. So you
could provide a different UI and address whatever unspecified issues
your users have. 

Rob
-- 
---
GPG key available at: http://users.bigpond.net.au/robertc/keys.txt.
---